Skip to Content
kosemdocs
ReferenceAPIEnvironments

List images in project

Lists the images of an organization, or a project's own, oldest first.

GET
/v1/projects/{project}/images

Lists the images of an organization, or a project's own, oldest first.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of images to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
images*array<>

Images, oldest first.

nextPageToken*string

Token for the next page; empty on the last page.

Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/images'
Example Response
{
  "images": [
    {
      "availability": {
        "allProjects": true,
        "projects": [
          "string"
        ]
      },
      "checkTime": "2019-08-24T14:15:22Z",
      "createTime": "2019-08-24T14:15:22Z",
      "displayName": "string",
      "followTag": true,
      "keepVersions": 0,
      "name": "string",
      "refreshReason": "string",
      "registry": "string",
      "source": "string",
      "state": "PREPARING",
      "stateReason": "string",
      "updateTime": "2019-08-24T14:15:22Z",
      "versions": [
        {
          "createTime": "2019-08-24T14:15:22Z",
          "digest": "string",
          "environments": 0,
          "prepareTime": "2019-08-24T14:15:22Z",
          "sizeBytes": 0
        }
      ]
    }
  ],
  "nextPageToken": "string"
}